Listar cupons
curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/pricing/promocodes \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>'import requests
url = "https://api.dooki.com.br/v2/{alias}/pricing/promocodes"
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};
fetch('https://api.dooki.com.br/v2/{alias}/pricing/promocodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"code": "TEST",
"description": "",
"customer_id": 123,
"active": true,
"expired": true,
"for_the_price_of": true,
"cart_default": true,
"type_increment_value": "",
"value": 10,
"price_products": 123,
"percent_products": 123,
"quantity": "100000",
"total_customers_used": "22",
"product_quantity": 123,
"product_max_quantity": 123,
"used": 22,
"items_count": 123,
"min_value": 99.99,
"use_percent": 0.02,
"shipment_percent": 123,
"accumulate": true,
"once_per_customer": true,
"abandoned_cart": true,
"newsletter": true,
"payments_ids": "<unknown>",
"free_shipment": true,
"ignore_promotion_products": true,
"start_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"end_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
}
}
]
}Cupons
Listar cupons
Retorna uma lista de cupons de desconto de acordo com os filtros especificados
GET
/
{alias}
/
pricing
/
promocodes
Listar cupons
Esta API possui limites de requisições (rate limits) para garantir estabilidade.
Cada endpoint tem um limite específico de chamadas por minuto.
Este endpoint em específico tem um limite de requisições por minuto.
Path Parameters
Alias da loja
Query Parameters
Incluir relacionamentos adicionais
Available options:
customer, categories, collections, brand, products, payments Filtros de Cupons Mapeia os filtros disponíveis para pesquisa de cupons.
Show child attributes
Show child attributes
Response
Lista de cupons retornada com sucesso
Show child attributes
Show child attributes
Was this page helpful?
⌘I